Herald
OpenapiExt

List an organization's members

Paginated (page >= 1 default 1, pageSize 1-100 default 20; out-of-range values are rejected with 400). Rows carry account display fields so the app can render a member list without per-user lookups.

GET
/api/ext/realms/{realmId}/orgs/{orgId}/members

Paginated (page >= 1 default 1, pageSize 1-100 default 20; out-of-range values are rejected with 400). Rows carry account display fields so the app can render a member list without per-user lookups.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

orgId*string

Organization ID

Query Parameters

page?integer

Page number (1-based, default 1)

Formatint64
Range0 <= value
pageSize?integer

Page size (1-100, default 20)

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/ext/realms/string/orgs/string/members"
{  "items": [    {      "email": "string",      "isOwner": true,      "joinedAt": "string",      "nickname": "string",      "role": {        "id": "string",        "name": "string"      },      "userId": "string"    }  ],  "page": 0,  "pageSize": 0,  "total": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}